# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'axl/version'
require 'axl/utils/compatibility'

Gem::Specification.new do |spec|
  spec.name          = "axl"
  spec.version       = Axl::VERSION
  spec.authors       = ["Dimension Data Dev Team"]
  spec.email         = ["dev@nexusis.com"]
  spec.description   = "Ruby Bindings for the Cisco Administrative XML (AXL) API"
  spec.summary       = "Ruby Bindings for the Cisco Administrative XML (AXL) API"
  spec.homepage      = "http://dimensiondata.com"
  spec.license       = "Apache 2.0"

  spec.files         = `git ls-files`.split($/)
  spec.test_files    = spec.files.grep(%r{^(test)/})
  spec.require_paths = ["lib"]

  # Runtime dependencies
  spec.add_runtime_dependency 'savon', '~> 2.0'
  spec.add_runtime_dependency 'webmock', '>= 1.8.0', '< 1.16'

  # Development dependencies. See Gemfile for more non-prod dependencies.
  spec.add_development_dependency 'bundler', '~> 1.0'
  spec.add_development_dependency 'guard', '~> 1.8', '>= 1.8.0'
  spec.add_development_dependency 'guard-rake', '~> 0.0', '>= 0.0.0'
  spec.add_development_dependency 'guard-minitest', '~> 0.5', '>= 0.5.0'
  spec.add_development_dependency 'rb-fsevent', '~> 0.9', '>= 0.9.0'

  if /darwin|mac os/ === RbConfig::CONFIG['host_os']
    spec.add_development_dependency 'terminal-notifier-guard', '~> 1.5', '>= 1.5.3'
  else
    spec.add_development_dependency 'ruby_gntp', '~> 0.3', '>= 0.3.0'
  end

  spec.add_development_dependency 'pry', '~> 0.9', '>= 0.9.0'
  spec.add_development_dependency 'redcarpet', '~> 2.3', '>= 2.3.0'
  spec.add_development_dependency 'yard', '~> 0.8', '>= 0.8.0'
end
