require 'test_helper'


class Axl::ClientTest < Axl::VCRBackedTest

  describe 'Axl::Client' do

    let(:client) do
      # NOTE: 'config' is defined in base test class under test/support
      Axl::Client.new(endpoint:    config.endpoint,
                      api_version: config.api_version,
                      username:    config.username,
                      password:    config.password)
    end

    describe '#call' do

      it 'calls a given operation' do
        message = {
          search_criteria: {
            name: 'test'
          }
        }
        response = client.call(:list_line_group, message: message)
        response.success?.must_equal true
      end

    end


    describe '#operations' do

      it 'returns an array of symbols' do
        operations = client.operations

        operations.must_be_instance_of Array
      end

    end

  end

end
