module Axl

  class Test < MiniTest::Spec

    let(:config) do
      Axl::Configuration.load(
        Pathname.new(__FILE__).join('..', '..', '..', 'axl.yml'),
        env: 'test')
    end

  end


  class VCRBackedTest < Test

    def cassette_name
      path = self.class.to_s \
               .gsub(/^axl\//, '') \
               .gsub(/^Axl::Test::/, '') \
               .gsub(/::#/,  '/i_') \
               .gsub(/::::/, '/c_') \
               .gsub(/::/,   '/')

      path = Axl::Utils::String.underscore(path)

      basename = __name__.gsub(/test_\d+_/, '')

      "#{ path }/#{ basename }"
    end


    before do
      ::VCR.insert_cassette cassette_name
    end


    after do
      ::VCR.eject_cassette
    end

  end

end
