$:.unshift File.expand_path(File.join('..', '..', 'lib'), __FILE__)

require 'simplecov'
SimpleCov.command_name 'MiniTest'
SimpleCov.formatter = SimpleCov::Formatter::HTMLFormatter

SimpleCov.start do
  add_filter '/test/'
  add_filter '/.bundled_gems/'
end

require 'minitest/autorun'
require 'mocha/setup'

# In case running in the CI
unless ['BUILD_NUMBER', 'CI', 'JENKINS_URL'].any? { |name| ENV.key? name }
  require 'pry'
end

# Load all helpers in test/support
Dir[Pathname.new(__FILE__).join('..', 'support', '*.rb')].each do |f|
  require f
end

require 'axl'
